import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.*;

/**
 * Noughts and Crosses board GUI
 * 
 * @author na200
 * @version 2011.04.16
 */
public class Board  extends World
{

    private Game game; //logic layer

    /**
     * Constructor for objects of class Board.
     * 
     */
    public Board()
    {    
        // Create a new world with a cell size of 100x100 pixels.
        super(Game.SIZE, Game.SIZE, 100, true); 
        setBackground("cell.png");
        game = new Game(this);
    }

    /**
     * Allows player to play via mouseclicking a cell
     */
    public void act()
    {
        if(Greenfoot.mouseClicked(this)) {
            MouseInfo mouse = Greenfoot.getMouseInfo();
            boolean result = game.addNought(mouse.getX(), mouse.getY());
            if(result){
                game.act();
            }
        }
    }

    /**
     * Adds a nought at the given position on the board
     */
    public void addNought(int x, int y)
    {
        Nought nought = new Nought();
        addObject(nought, x, y);
    }

    /**
     * Adds a cross at the given position on the board
     */
    public void addCross(int x, int y)
    {
        Cross cross = new Cross();
        addObject(cross, x, y);
    }

}
